variable "image_url" {
  type	= string
	description = "The URL to retrieve the backing image from." 
}

variable "checksum_url" {
  type	= string
	description = "The URL to retrieve the checksum value of the backing image from." 
}

variable "hostname" {
	type	=	string
	description	=	"The hostname of the virtual machine"
}

variable "host_ssh_address" {
	type	=	string
	description	=	"The address of the hypervisor, used to construct the libvirt URI."
}

variable "host_ssh_user" {
	type	=	string
	description	=	"The user to connect to the hypervisor as, used to construct the libvirt URI."
}

variable "arch" {
	type				=	string
	description	=	"Domain architecture."
	default			=	"x86_64"
}

variable "chipset" {
	type	=	string
	description	=	"Libvirt Machine Type Value for domain XML's machine type."
}

variable "guest_ssh_pass" {
	type = string
	sensitive = true
	description = "Default password for the cloud-init image"
}
